CVE-2015-7799

Bug #1508329 reported by Steve Beattie on 2015-10-21
258
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Wishlist
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned
linux-armadaxp (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Wishlist
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned
linux-ec2 (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Wishlist
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned
linux-flo (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Wishlist
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned
linux-fsl-imx51 (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Wishlist
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned
linux-goldfish (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Wishlist
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned
linux-lts-backport-maverick (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Vivid
Undecided
Unassigned
Wily
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
linux-lts-backport-natty (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Vivid
Undecided
Unassigned
Wily
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
linux-lts-quantal (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Wishlist
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned
linux-lts-raring (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Wishlist
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned
linux-lts-saucy (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Wishlist
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned
linux-lts-trusty (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Wishlist
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned
linux-lts-utopic (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Wishlist
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned
linux-lts-vivid (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Wishlist
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned
linux-lts-wily (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Wishlist
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned
linux-lts-xenial (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Undecided
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned
linux-mako (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Wishlist
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned
linux-manta (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Wishlist
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned
linux-mvl-dove (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Wishlist
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned
linux-raspi2 (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Wishlist
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned
linux-snapdragon (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Undecided
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned
linux-ti-omap4 (Ubuntu)
Wishlist
Unassigned
Precise
Wishlist
Unassigned
Trusty
Wishlist
Unassigned
Vivid
Wishlist
Unassigned
Wily
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
Yakkety
Wishlist
Unassigned

Bug Description

The slhc_init function in drivers/net/slip/slhc.c in the Linux kernel through 4.2.3 does not ensure that certain slot numbers are valid, which allows local users to cause a denial of service (NULL pointer dereference and system crash) via a crafted PPPIOCSMAXCID ioctl call.

Break-Fix: 1da177e4c3f41524e886b7f1b8a0c1fc7321cac2 0baa57d8dc32db78369d8b5176ef56c5e2e18ab3
Break-Fix: 1da177e4c3f41524e886b7f1b8a0c1fc7321cac2 4ab42d78e37a294ac7bc56901d563c642e03c4ae

Steve Beattie (sbeattie) wrote :

CVE-2015-7799

tags: added: kernel-cve-tracking-bug
information type: Public → Public Security
Changed in linux-lts-trusty (Ubuntu Wily):
status: New → Invalid
Changed in linux-lts-trusty (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-trusty (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Wily):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Trusty):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Wily):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Vivid):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-raring (Ubuntu Wily):
status: New → Invalid
Changed in linux-lts-raring (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-raring (Ubuntu Trusty):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Wily):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Vivid):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Trusty):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Precise):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Wily):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Vivid):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-saucy (Ubuntu Wily):
status: New → Invalid
Changed in linux-lts-saucy (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-saucy (Ubuntu Trusty):
status: New → Invalid
Changed in linux-manta (Ubuntu Precise):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Precise):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Wily):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Vivid):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-vivid (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-vivid (Ubuntu Wily):
status: New → Invalid
Changed in linux-lts-vivid (Ubuntu Vivid):
status: New → Invalid
Changed in linux-mako (Ubuntu Precise):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Precise):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Wily):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Vivid):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Wily):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Vivid):
status: New → Invalid
Changed in linux-goldfish (Ubuntu Precise):
status: New → Invalid
Changed in linux-flo (Ubuntu Precise):
status: New → Invalid
description: updated
Changed in linux-lts-trusty (Ubuntu Precise):
importance: Undecided → Wishlist
Changed in linux-lts-trusty (Ubuntu Wily):
importance: Undecided → Wishlist
Changed in linux-lts-trusty (Ubuntu Vivid):
importance: Undecided → Wishlist
Changed in linux-lts-trusty (Ubuntu Trusty):
importance: Undecided → Wishlist
Changed in linux-lts-quantal (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Wishlist
Changed in linux-lts-quantal (Ubuntu Wily):
importance: Undecided → Wishlist
Changed in linux-lts-quantal (Ubuntu Vivid):
importance: Undecided → Wishlist
Changed in linux-lts-quantal (Ubuntu Trusty):
importance: Undecided → Wishlist
Changed in linux (Ubuntu Precise):
importance: Undecided → Wishlist
Changed in linux (Ubuntu Wily):
importance: Undecided → Wishlist
Changed in linux (Ubuntu Vivid):
importance: Undecided → Wishlist
Changed in linux (Ubuntu Trusty):
importance: Undecided → Wishlist
Changed in linux-ti-omap4 (Ubuntu Precise):
importance: Undecided → Wishlist
Changed in linux-ti-omap4 (Ubuntu Wily):
importance: Undecided → Wishlist
Changed in linux-ti-omap4 (Ubuntu Vivid):
importance: Undecided → Wishlist
Changed in linux-ti-omap4 (Ubuntu Trusty):
importance: Undecided → Wishlist
Changed in linux-lts-raring (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Wishlist
Changed in linux-lts-raring (Ubuntu Wily):
importance: Undecided → Wishlist
Changed in linux-lts-raring (Ubuntu Vivid):
importance: Undecided → Wishlist
Changed in linux-lts-raring (Ubuntu Trusty):
importance: Undecided → Wishlist
Changed in linux-armadaxp (Ubuntu Precise):
importance: Undecided → Wishlist
Changed in linux-armadaxp (Ubuntu Wily):
importance: Undecided → Wishlist
Changed in linux-armadaxp (Ubuntu Vivid):
importance: Undecided → Wishlist
Changed in linux-armadaxp (Ubuntu Trusty):
importance: Undecided → Wishlist
Changed in linux-mvl-dove (Ubuntu Precise):
importance: Undecided → Wishlist
Changed in linux-mvl-dove (Ubuntu Wily):
importance: Undecided → Wishlist
Changed in linux-mvl-dove (Ubuntu Vivid):
importance: Undecided → Wishlist
Changed in linux-mvl-dove (Ubuntu Trusty):
importance: Undecided → Wishlist
Changed in linux-lts-saucy (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Wishlist
Changed in linux-lts-saucy (Ubuntu Wily):
importance: Undecided → Wishlist
Changed in linux-lts-saucy (Ubuntu Vivid):
importance: Undecided → Wishlist
Changed in linux-lts-saucy (Ubuntu Trusty):
importance: Undecided → Wishlist
Changed in linux-manta (Ubuntu Precise):
importance: Undecided → Wishlist
Changed in linux-manta (Ubuntu Wily):
importance: Undecided → Wishlist
Changed in linux-manta (Ubuntu Vivid):
importance: Undecided → Wishlist
Changed in linux-manta (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Wishlist
Changed in linux-ec2 (Ubuntu Precise):
importance: Undecided → Wishlist
Changed in linux-ec2 (Ubuntu Wily):
importance: Undecided → Wishlist
Changed in linux-ec2 (Ubuntu Vivid):
importance: Undecided → Wishlist
Changed in linux-ec2 (Ubuntu Trusty):
importance: Undecided → Wishlist
Changed in linux-lts-vivid (Ubuntu Precise):
importance: Undecided → Wishlist
Changed in linux-lts-vivid (Ubuntu Wily):
importance: Undecided → Wishlist
Changed in linux-lts-vivid (Ubuntu Vivid):
importance: Undecided → Wishlist
Changed in linux-lts-vivid (Ubuntu Trusty):
importance: Undecided → Wishlist
Changed in linux-mako (Ubuntu Precise):
importance: Undecided → Wishlist
Changed in linux-mako (Ubuntu Wily):
importance: Undecided → Wishlist
Steve Beattie (sbeattie) on 2015-10-21
Changed in linux-mako (Ubuntu Vivid):
importance: Undecided → Wishlist
Changed in linux-mako (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Wishlist
Changed in linux-fsl-imx51 (Ubuntu Precise):
importance: Undecided → Wishlist
Changed in linux-fsl-imx51 (Ubuntu Wily):
importance: Undecided → Wishlist
Changed in linux-fsl-imx51 (Ubuntu Vivid):
importance: Undecided → Wishlist
Changed in linux-fsl-imx51 (Ubuntu Trusty):
importance: Undecided → Wishlist
Changed in linux-lts-utopic (Ubuntu Precise):
importance: Undecided → Wishlist
Changed in linux-lts-utopic (Ubuntu Wily):
importance: Undecided → Wishlist
Changed in linux-lts-utopic (Ubuntu Vivid):
importance: Undecided → Wishlist
Changed in linux-lts-utopic (Ubuntu Trusty):
importance: Undecided → Wishlist
Changed in linux-goldfish (Ubuntu Precise):
importance: Undecided → Wishlist
Changed in linux-goldfish (Ubuntu Wily):
importance: Undecided → Wishlist
Changed in linux-goldfish (Ubuntu Vivid):
importance: Undecided → Wishlist
Changed in linux-goldfish (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Wishlist
Changed in linux-flo (Ubuntu Precise):
importance: Undecided → Wishlist
Changed in linux-flo (Ubuntu Wily):
importance: Undecided → Wishlist
Changed in linux-flo (Ubuntu Vivid):
importance: Undecided → Wishlist
Changed in linux-flo (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Wishlist
Steve Beattie (sbeattie) on 2015-10-22
description: updated
Steve Beattie (sbeattie) on 2015-11-10
Changed in linux-lts-wily (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Wishlist
Changed in linux-lts-wily (Ubuntu Wily):
status: New → Invalid
importance: Undecided → Wishlist
Changed in linux-lts-wily (Ubuntu Xenial):
status: New → Invalid
importance: Undecided → Wishlist
Changed in linux-lts-wily (Ubuntu Trusty):
importance: Undecided → Wishlist
Changed in linux-lts-wily (Ubuntu Vivid):
status: New → Invalid
importance: Undecided → Wishlist
Steve Beattie (sbeattie) on 2015-11-16
Changed in linux-raspi2 (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Wishlist
Changed in linux-raspi2 (Ubuntu Wily):
importance: Undecided → Wishlist
Changed in linux-raspi2 (Ubuntu Xenial):
importance: Undecided → Wishlist
Changed in linux-raspi2 (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Wishlist
Changed in linux-raspi2 (Ubuntu Vivid):
status: New → Invalid
importance: Undecided → Wishlist
description: updated
Steve Beattie (sbeattie) on 2015-12-01
Changed in linux (Ubuntu Trusty):
status: New → Fix Committed
Changed in linux (Ubuntu Vivid):
status: New → Fix Committed
Changed in linux-lts-utopic (Ubuntu Trusty):
status: New → Fix Committed
Luis Henriques (henrix) on 2015-12-02
Changed in linux (Ubuntu Wily):
status: New → Fix Committed
Steve Beattie (sbeattie) on 2015-12-03
Changed in linux (Ubuntu Xenial):
status: New → Fix Committed
Steve Beattie (sbeattie) on 2015-12-04
Changed in linux-lts-trusty (Ubuntu Precise):
status: New → Fix Committed
Changed in linux-lts-wily (Ubuntu Trusty):
status: New → Fix Committed
Changed in linux-raspi2 (Ubuntu Wily):
status: New → Fix Committed
Steve Beattie (sbeattie) on 2015-12-08
Changed in linux-lts-vivid (Ubuntu Trusty):
status: New → Fix Committed
Steve Beattie (sbeattie) on 2015-12-12
Changed in linux-raspi2 (Ubuntu Xenial):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.2.0-21.25

---------------
linux (4.2.0-21.25) wily; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1522108

  [ Upstream Kernel Changes ]

  * staging/dgnc: fix info leak in ioctl
    - LP: #1509565
    - CVE-2015-7885
  * [media] media/vivid-osd: fix info leak in ioctl
    - LP: #1509564
    - CVE-2015-7884
  * KEYS: Fix race between key destruction and finding a keyring by name
    - LP: #1508856
    - CVE-2015-7872
  * KEYS: Fix crash when attempt to garbage collect an uninstantiated
    keyring
    - LP: #1508856
    - CVE-2015-7872
  * KEYS: Don't permit request_key() to construct a new keyring
    - LP: #1508856
    - CVE-2015-7872
  * isdn_ppp: Add checks for allocation failure in isdn_ppp_open()
    - LP: #1508329
    - CVE-2015-7799
  * ppp, slip: Validate VJ compression slot parameters completely
    - LP: #1508329
    - CVE-2015-7799

linux (4.2.0-20.24) wily; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1521753

  [ Andy Whitcroft ]

  * [Tests] gcc-multilib does not exist on ppc64el
    - LP: #1515541

  [ Joseph Salisbury ]

  * SAUCE: scsi_sysfs: protect against double execution of
    __scsi_remove_device()
    - LP: #1509029

  [ Manoj Kumar ]

  * SAUCE: (noup) cxlflash: Fix to escalate LINK_RESET also on port 1
    - LP: #1513583

  [ Matthew R. Ochs ]

  * SAUCE: (noup) cxlflash: Fix to avoid virtual LUN failover failure
    - LP: #1513583

  [ Oren Givon ]

  * SAUCE: (noup) iwlwifi: Add new PCI IDs for the 8260 series
    - LP: #1517375

  [ Seth Forshee ]

  * [Config] CONFIG_DRM_AMDGPU_CIK=n
    - LP: #1510405

  [ Upstream Kernel Changes ]

  * net/mlx5e: Disable VLAN filter in promiscuous mode
    - LP: #1514861
  * drivers: net: xgene: fix RGMII 10/100Mb mode
    - LP: #1433290
  * HID: rmi: Disable scanning if the device is not a wake source
    - LP: #1515503
  * HID: rmi: Set F01 interrupt enable register when not set
    - LP: #1515503
  * net/mlx5e: Ethtool link speed setting fixes
    - LP: #1517919
  * scsi_scan: don't dump trace when scsi_prep_async_scan() is called twice
    - LP: #1517942
  * x86/ioapic: Disable interrupts when re-routing legacy IRQs
    - LP: #1508593
  * xhci: Workaround to get Intel xHCI reset working more reliably
  * megaraid_sas: Do not use PAGE_SIZE for max_sectors
    - LP: #1475166
  * net: usb: cdc_ether: add Dell DW5580 as a mobile broadband adapter
    - LP: #1513847
  * KVM: svm: unconditionally intercept #DB
    - LP: #1520184
    - CVE-2015-8104

 -- Luis Henriques <email address hidden> Wed, 02 Dec 2015 17:30:58 +0000

Changed in linux (Ubuntu Wily):
status: Fix Committed → Fix Released
Steve Beattie (sbeattie) on 2015-12-17
Changed in linux-lts-trusty (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
Changed in linux-lts-vivid (Ubuntu Trusty):
status: Fix Committed → Fix Released
Changed in linux-lts-utopic (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-raspi2 - 4.2.0-1016.23

---------------
linux-raspi2 (4.2.0-1016.23) wily; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1522372
  * rebased on Ubuntu-4.2.0-21.25

  [ Ubuntu: 4.2.0-21.25 ]

  * Release Tracking Bug
    - LP: #1522108
  * staging/dgnc: fix info leak in ioctl
    - LP: #1509565
    - CVE-2015-7885
  * [media] media/vivid-osd: fix info leak in ioctl
    - LP: #1509564
    - CVE-2015-7884
  * KEYS: Fix race between key destruction and finding a keyring by name
    - LP: #1508856
    - CVE-2015-7872
  * KEYS: Fix crash when attempt to garbage collect an uninstantiated
    keyring
    - LP: #1508856
    - CVE-2015-7872
  * KEYS: Don't permit request_key() to construct a new keyring
    - LP: #1508856
    - CVE-2015-7872
  * isdn_ppp: Add checks for allocation failure in isdn_ppp_open()
    - LP: #1508329
    - CVE-2015-7799
  * ppp, slip: Validate VJ compression slot parameters completely
    - LP: #1508329
    - CVE-2015-7799

  [ Ubuntu: 4.2.0-20.24 ]

  * Release Tracking Bug
    - LP: #1521753
  * [Tests] gcc-multilib does not exist on ppc64el
    - LP: #1515541
  * SAUCE: scsi_sysfs: protect against double execution of
    __scsi_remove_device()
    - LP: #1509029
  * SAUCE: (noup) cxlflash: Fix to escalate LINK_RESET also on port 1
    - LP: #1513583
  * SAUCE: (noup) cxlflash: Fix to avoid virtual LUN failover failure
    - LP: #1513583
  * SAUCE: (noup) iwlwifi: Add new PCI IDs for the 8260 series
    - LP: #1517375
  * [Config] CONFIG_DRM_AMDGPU_CIK=n
    - LP: #1510405
  * net/mlx5e: Disable VLAN filter in promiscuous mode
    - LP: #1514861
  * drivers: net: xgene: fix RGMII 10/100Mb mode
    - LP: #1433290
  * HID: rmi: Disable scanning if the device is not a wake source
    - LP: #1515503
  * HID: rmi: Set F01 interrupt enable register when not set
    - LP: #1515503
  * net/mlx5e: Ethtool link speed setting fixes
    - LP: #1517919
  * scsi_scan: don't dump trace when scsi_prep_async_scan() is called twice
    - LP: #1517942
  * x86/ioapic: Disable interrupts when re-routing legacy IRQs
    - LP: #1508593
  * xhci: Workaround to get Intel xHCI reset working more reliably
  * megaraid_sas: Do not use PAGE_SIZE for max_sectors
    - LP: #1475166
  * net: usb: cdc_ether: add Dell DW5580 as a mobile broadband adapter
    - LP: #1513847
  * KVM: svm: unconditionally intercept #DB
    - LP: #1520184
    - CVE-2015-8104

 -- Luis Henriques <email address hidden> Thu, 03 Dec 2015 13:57:56 +0000

Changed in linux-raspi2 (Ubuntu Wily):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-wily - 4.2.0-21.25~14.04.1

---------------
linux-lts-wily (4.2.0-21.25~14.04.1) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1522374

  [ Upstream Kernel Changes ]

  * staging/dgnc: fix info leak in ioctl
    - LP: #1509565
    - CVE-2015-7885
  * [media] media/vivid-osd: fix info leak in ioctl
    - LP: #1509564
    - CVE-2015-7884
  * KEYS: Fix race between key destruction and finding a keyring by name
    - LP: #1508856
    - CVE-2015-7872
  * KEYS: Fix crash when attempt to garbage collect an uninstantiated
    keyring
    - LP: #1508856
    - CVE-2015-7872
  * KEYS: Don't permit request_key() to construct a new keyring
    - LP: #1508856
    - CVE-2015-7872
  * isdn_ppp: Add checks for allocation failure in isdn_ppp_open()
    - LP: #1508329
    - CVE-2015-7799
  * ppp, slip: Validate VJ compression slot parameters completely
    - LP: #1508329
    - CVE-2015-7799

linux (4.2.0-20.24) wily; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1521753

  [ Andy Whitcroft ]

  * [Tests] gcc-multilib does not exist on ppc64el
    - LP: #1515541

  [ Joseph Salisbury ]

  * SAUCE: scsi_sysfs: protect against double execution of
    __scsi_remove_device()
    - LP: #1509029

  [ Manoj Kumar ]

  * SAUCE: (noup) cxlflash: Fix to escalate LINK_RESET also on port 1
    - LP: #1513583

  [ Matthew R. Ochs ]

  * SAUCE: (noup) cxlflash: Fix to avoid virtual LUN failover failure
    - LP: #1513583

  [ Oren Givon ]

  * SAUCE: (noup) iwlwifi: Add new PCI IDs for the 8260 series
    - LP: #1517375

  [ Seth Forshee ]

  * [Config] CONFIG_DRM_AMDGPU_CIK=n
    - LP: #1510405

  [ Upstream Kernel Changes ]

  * net/mlx5e: Disable VLAN filter in promiscuous mode
    - LP: #1514861
  * drivers: net: xgene: fix RGMII 10/100Mb mode
    - LP: #1433290
  * HID: rmi: Disable scanning if the device is not a wake source
    - LP: #1515503
  * HID: rmi: Set F01 interrupt enable register when not set
    - LP: #1515503
  * net/mlx5e: Ethtool link speed setting fixes
    - LP: #1517919
  * scsi_scan: don't dump trace when scsi_prep_async_scan() is called twice
    - LP: #1517942
  * x86/ioapic: Disable interrupts when re-routing legacy IRQs
    - LP: #1508593
  * xhci: Workaround to get Intel xHCI reset working more reliably
  * megaraid_sas: Do not use PAGE_SIZE for max_sectors
    - LP: #1475166
  * net: usb: cdc_ether: add Dell DW5580 as a mobile broadband adapter
    - LP: #1513847
  * KVM: svm: unconditionally intercept #DB
    - LP: #1520184
    - CVE-2015-8104

 -- Luis Henriques <email address hidden> Thu, 03 Dec 2015 11:41:35 +0000

Changed in linux-lts-wily (Ubuntu Trusty):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Steve Beattie (sbeattie) on 2016-01-04
Changed in linux (Ubuntu Precise):
status: New → Fix Committed
Steve Beattie (sbeattie) on 2016-01-15
Changed in linux-ti-omap4 (Ubuntu Precise):
status: New → Fix Committed
Steve Beattie (sbeattie) on 2016-02-02
Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in linux-ti-omap4 (Ubuntu Precise):
status: Fix Committed → Fix Released
Steve Beattie (sbeattie) on 2016-02-06
Changed in linux-armadaxp (Ubuntu Precise):
status: New → Fix Released
Steve Beattie (sbeattie) on 2016-02-11
Changed in linux-lts-xenial (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Wishlist
Changed in linux-lts-xenial (Ubuntu Wily):
status: New → Invalid
importance: Undecided → Wishlist
Changed in linux-lts-xenial (Ubuntu Xenial):
status: New → Invalid
importance: Undecided → Wishlist
Changed in linux-lts-xenial (Ubuntu Trusty):
status: New → Fix Committed
importance: Undecided → Wishlist
Steve Beattie (sbeattie) on 2016-04-19
Changed in linux-manta (Ubuntu Xenial):
status: New → Invalid
Steve Beattie (sbeattie) on 2016-05-06
Changed in linux-snapdragon (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Wishlist
Changed in linux-snapdragon (Ubuntu Wily):
status: New → Invalid
importance: Undecided → Wishlist
Changed in linux-snapdragon (Ubuntu Xenial):
status: New → Invalid
importance: Undecided → Wishlist
Changed in linux-snapdragon (Ubuntu Yakkety):
status: New → Invalid
importance: Undecided → Wishlist
Changed in linux-snapdragon (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Wishlist
Changed in linux (Ubuntu Xenial):
status: Fix Committed → Invalid
Changed in linux (Ubuntu Yakkety):
status: Fix Committed → Invalid

This bug was nominated against a series that is no longer supported, ie vivid. The bug task representing the vivid nomination is being closed as Won't Fix.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux-flo (Ubuntu Vivid):
status: New → Won't Fix
Andy Whitcroft (apw) on 2017-10-17
Changed in linux-goldfish (Ubuntu Vivid):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers